<?php
/**
 * @version   1.0.0 Sept 30, 2020
 * @author    Reddie https://www.reddie.nl
 * @copyright Copyright (C) 2020 Scouting Nederland
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

defined('_JEXEC') or die;

// Include the news functions only once
JLoader::register('ModScoutingNewsHelper', __DIR__ . '/helper.php');

$list            = ModScoutingNewsHelper::getList($params);
$morenewsurl	= $params->get('morenewsitem');
$morenewsbutton = $params->get('morenewstext');

$link_url = JRoute::_("index.php?Itemid={$morenewsurl}");


$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'), ENT_COMPAT, 'UTF-8');

require JModuleHelper::getLayoutPath('mod_scoutingnews', $params->get('layout', 'horizontal'));
