<?php
/**
 * @version   2.0 Jun 22, 2022
 * @author    Reddie https://www.reddie.nl
 * @copyright Copyright (C) 2020 Scouting Nederland
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

// no direct access
defined('_JEXEC') or die;
?>

<div class="featuredimage">
	<img src="<?php echo $featuredimg;?>" width="100%" height="auto" />	
</div>

<?php if($moduletype=="news") {?>

	<div class="featurednews">
		<p><?php echo $newsintro;?></p>
		<a class="btn btn-primary" href="<?php echo $newsurl;?>" target="_self"><?php echo $newsbutton;?></a>	
	</div>

<?php };  ?>

<?php if($moduletype=="links") {?>	
	<ul class="links">
	    <?php if (!empty($firstlinktext)): ?>
	    <li>
	        <a href="<?php echo $firsturl; ?>" title="<?php echo $firstlinktext; ?>" target="_self"><?php echo $firstlinktext; ?></a>
	    </li>
	    <?php endif; ?>
	    <?php if (!empty($secondlinktext)): ?>
	    <li>
	        <a href="<?php echo $secondurl; ?>" title="<?php echo $secondlinktext; ?>" target="_self"><?php echo $secondlinktext; ?></a>
	    </li>
	    <?php endif; ?>
	    <?php if (!empty($thirdlinktext)): ?>
	    <li>
	        <a href="<?php echo $thirdurl; ?>" title="<?php echo $thirdlinktext; ?>" target="_self"><?php echo $thirdlinktext; ?></a>
	    </li>
	    <?php endif; ?>
	    <?php if (!empty($fourthlinktext)): ?>
	    <li>
	        <a href="<?php echo $fourthlink; ?>" title="<?php echo $fourthlinktext; ?>" target="_blank"><?php echo $fourthlinktext; ?></a>
	    </li>
	    <?php endif; ?>
	    <?php if (!empty($fifthlinktext)): ?>
	    <li>
	        <a href="<?php echo $fifthlink; ?>" title="<?php echo $fifthlinktext; ?>" target="_blank"><?php echo $fifthlinktext; ?></a>
	    </li>
	    <?php endif; ?>
	    <?php if (!empty($sixthlinktext)): ?>
	    <li>
	        <a href="<?php echo $sixthlink; ?>" title="<?php echo $sixthlinktext; ?>" target="_blank"><?php echo $sixthlinktext; ?></a>
	    </li>
	    <?php endif; ?>	
	</ul>
<?php };  ?>