<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_news
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
?>

<div class="row">
	<?php for ($i = 0, $n = count($list); $i < $n; $i ++) : ?>
		<?php $item = $list[$i]; ?>
		<div class="col-sm-4">
			<?php require JModuleHelper::getLayoutPath('mod_scoutingnews', '_item'); ?>
	
			<?php if ($n > 1 && (($i < $n - 1) || $params->get('showLastSeparator'))) : ?>
				<span class="article-separator">&#160;</span>
			<?php endif; ?>
		</div>
	<?php endfor; ?>
</div>
<?php if ($params->get('morenews')) : ?>
   	<div class="row py-3 my-3">
		<div class="col-12">
			<a class="btn btn-primary" href="<?php echo $link_url;?>" target="_self"><?php echo $morenewsbutton;?></a>		
		</div>
	</div>
<?php endif; ?>
<?php if ($params->get('lijnonder')) : ?>
	<div id="tc4-divider"></div>
<?php endif; ?>

